ICU 78.3 78.3

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetStringIterator Class Reference

Iterator returned by USetStrings. More...

`#include <uset.h>`

## Public Member Functions
| USetStringIterator (const USetStringIterator &other)=default
bool | operator== (const USetStringIterator &other) const
bool | operator!= (const USetStringIterator &other) const
std::u16string_view | operator* () const
USetStringIterator & | operator++ ()
| Pre-increment. More...
USetStringIterator | operator++ (int)
| Post-increment. More...

## Friends
class | USetStrings

## Detailed Description

Iterator returned by USetStrings.

Stable:
  ICU 76

Definition at line 1633 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetStringIterator()

U_HEADER_ONLY_NAMESPACE::USetStringIterator::USetStringIterator | ( | const USetStringIterator & | other | ) |
| default

Stable:
  ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator!= | ( | const USetStringIterator & | other | ) | const
| inline

Stable:
  ICU 76

Definition at line 1648 of file uset.h.

References operator==().

## ◆ operator*()

std::u16string_view U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator* | ( |  | ) | const
| inline

Stable:
  ICU 76

Definition at line 1651 of file uset.h.

References uset_getString().

## ◆ operator++() [1/2]

USetStringIterator& U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Stable:
  ICU 76

Definition at line 1665 of file uset.h.

## ◆ operator++() [2/2]

USetStringIterator U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Stable:
  ICU 76

Definition at line 1674 of file uset.h.

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator== | ( | const USetStringIterator & | other | ) | const
| inline

Stable:
  ICU 76

Definition at line 1639 of file uset.h.

Referenced by operator!=().

The documentation for this class was generated from the following file:

- common/unicode/uset.h